[or-cvs] r16182: Patch Pidgin's IRC More plugin to empty CTCP Version and par (in incognito/trunk/portage.overlay/x11-plugins: . purple-plugin_pack purple-plugin_pack/files)

anonym at seul.org anonym at seul.org
Fri Jul 25 01:04:33 UTC 2008


Author: anonym
Date: 2008-07-24 21:04:32 -0400 (Thu, 24 Jul 2008)
New Revision: 16182

Added:
   incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/
   incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/Manifest
   incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/files/
   incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/files/hide-stuff.patch
   incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/purple-plugin_pack-2.2.0.ebuild
Log:
Patch Pidgin's IRC More plugin to empty CTCP Version and part/quit messages.


Added: incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/Manifest
===================================================================
--- incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/Manifest	                        (rev 0)
+++ incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/Manifest	2008-07-25 01:04:32 UTC (rev 16182)
@@ -0,0 +1,3 @@
+AUX hide-stuff.patch 966 RMD160 80fec9f2e729ad563e7421a7ae760052dc59adc0 SHA1 9b276fb54b6573a56072999cb63e34c87eba7b12 SHA256 69e95fbac45bee3fa61033f554697226da768db381be66aa0cb1aed97a0ccad6
+DIST purple-plugin_pack-2.2.0.tar.bz2 563193 RMD160 af51155a0e95ff9710a30a2848d12e99facfb0d8 SHA1 ed69399adeae5b17c830911ee961e7766f230099 SHA256 9792d6192cae8de481c6f0141611be559eb73f3d5642feb51953495c5e8506d8
+EBUILD purple-plugin_pack-2.2.0.ebuild 2340 RMD160 8c857447d3fe3f3c2eeb7748b05b0a5e41facf9f SHA1 7a90b60d2db57539450a516ed5bb1f1491406b4c SHA256 6aa062305c87c17d062d3d47e0f142fb738091f9339bcdd7cb07bc3dd4c621da

Added: incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/files/hide-stuff.patch
===================================================================
--- incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/files/hide-stuff.patch	                        (rev 0)
+++ incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/files/hide-stuff.patch	2008-07-25 01:04:32 UTC (rev 16182)
@@ -0,0 +1,16 @@
+diff -Nur purple-plugin_pack-2.2.0.orig/irc-more/irc-more.c purple-plugin_pack-2.2.0/irc-more/irc-more.c
+--- purple-plugin_pack-2.2.0.orig/irc-more/irc-more.c	2008-07-25 02:56:30.000000000 +0200
++++ purple-plugin_pack-2.2.0/irc-more/irc-more.c	2008-07-25 02:57:22.000000000 +0200
+@@ -29,9 +29,9 @@
+ 
+ #include <string.h>
+ 
+-#define CTCP_REPLY    purple_account_get_string(account, "ctcp-message", "Purple IRC")
+-#define PART_MESSAGE  purple_account_get_string(account, "part-message", "Leaving.")
+-#define QUIT_MESSAGE  purple_account_get_string(account, "quit-message", "Leaving.")
++#define CTCP_REPLY    purple_account_get_string(account, "ctcp-message", "")
++#define PART_MESSAGE  purple_account_get_string(account, "part-message", "")
++#define QUIT_MESSAGE  purple_account_get_string(account, "quit-message", "")
+ #define SET_UMODES    purple_account_get_string(account, "umodes", "i")
+ #define UNSET_UMODES  purple_account_get_string(account, "umodes", NULL)
+ 

Added: incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/purple-plugin_pack-2.2.0.ebuild
===================================================================
--- incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/purple-plugin_pack-2.2.0.ebuild	                        (rev 0)
+++ incognito/trunk/portage.overlay/x11-plugins/purple-plugin_pack/purple-plugin_pack-2.2.0.ebuild	2008-07-25 01:04:32 UTC (rev 16182)
@@ -0,0 +1,80 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-plugins/purple-plugin_pack/purple-plugin_pack-2.2.0.ebuild,v 1.8 2008/04/03 14:30:11 ranger Exp $
+
+inherit eutils
+
+DESCRIPTION="A package with many different plugins for pidgin and libpurple"
+HOMEPAGE="http://plugins.guifications.org"
+SRC_URI="http://downloads.guifications.org/plugins/Plugin%20Pack/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 hppa ppc x86"
+IUSE="talkfilters debug gtk ncurses"
+
+DEPEND="net-im/pidgin
+	talkfilters? ( app-text/talkfilters )"
+RDEPEND="${DEPEND}"
+
+PATCHES="${FILESDIR}/hide-stuff.patches"
+
+pkg_setup() {
+	if use gtk && ! built_with_use net-im/pidgin gtk; then
+		eerror "You need to compile net-im/pidgin with USE=gtk to be"
+		eerror "able to compile these plugins with gtk"
+		die "Missing gtk USE flag on net-im/pidgin"
+	fi
+
+	if use ncurses && ! built_with_use net-im/pidgin ncurses; then
+		eerror "You need to compile net-im/pidgin with USE=ncurses to be"
+		eerror "able to compile these plugins with ncurses"
+		die "Missing ncurses USE flag on net-im/pidgin"
+	fi
+}
+
+src_compile() {
+	local plugins=""
+
+	# WARNING
+	# This code to select plugins wont work with 2.2.0
+	# because it ignores --with-plugins completely
+	# and just always builds everything
+
+	# XMMS Remote is disabled due to XMMS being masked
+	DISABLED_PLUGINS="xmmsremote"
+
+	use talkfilters || DISABLED_PLUGINS="${DISABLED_PLUGINS} talkfilters"
+
+	for i in *; do
+		[ -d ${i} ] || continue
+		# We manually disable these plugins
+		if [ -z "${DISABLED_PLUGINS##*${i}*}" ]; then
+			continue
+		fi
+
+		# Only directories with .build files are meant to be built
+		if [ ! -e ${i}/.build ]; then
+			continue
+		fi
+
+		# Those should be generic#
+		if [ -e ${i}/.purple-plugin ]; then
+			plugins="${plugins},${i}"
+		# These require gtk (ie pidgin)
+		elif [ -e ${i}/.pidgin-plugin ]; then
+			use gtk && plugins="${plugins},${i}"
+		# These require ncurses (aka finch)
+		elif [ -e ${i}/.finch-plugin ]; then
+			use ncurses && plugins="${plugins},${i}"
+		fi
+	done
+
+	econf --with-plugins="${plugins:1}" $(use_enable debug) || die "econf failed"
+	emake -j1 || die "emake failed"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+	dodoc AUTHORS ChangeLog NEWS README TODO VERSION
+}



More information about the tor-commits mailing list